Package org.eclipse.viatra.query.patternlanguage.emf.util

## Class PatternParsingUtil

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.util.PatternParsingUtil

-     @Deprecated
      public class PatternParsingUtil
      extends java.lang.Object

  Deprecated.
  use the new `PatternParserBuilder` infrastructure instead
  Allows the caller to parse VIATRA query patterns provided in text format. IMPORTANT: This API class assumes that the Xtext parser infrastructure is already initialized. If its not, `ViatraQueryException` is thrown.
  Since:
    1.5

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PPERROR` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PatternParsingResults` | `parsePatternDefinitions​(java.lang.String patternString)` | Deprecated. Parses a set of patterns; the returned object can be used either to access the parsed patterns or query specifications as well; parse errors are also available.
    `static PatternParsingResults` | `parsePatternDefinitions​(java.lang.String patternString, com.google.inject.Injector injector)` | Deprecated. Parses a set of patterns; the returned object can be used either to access the parsed patterns or query specifications as well; parse errors are also available.
    `static java.lang.Iterable<IQuerySpecification<?>>` | `parseQueryDefinitions​(java.lang.String patternString)` | Deprecated.
    `static java.lang.Iterable<IQuerySpecification<?>>` | `parseQueryDefinitions​(java.lang.String patternString, com.google.inject.Injector injector)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PPERROR

          public static final java.lang.String PPERROR

      Deprecated.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### parsePatternDefinitions

          public static PatternParsingResults parsePatternDefinitions​(java.lang.String patternString)

      Deprecated.
      Parses a set of patterns; the returned object can be used either to access the parsed patterns or query specifications as well; parse errors are also available.
      Since:
        1.7

    - #### parsePatternDefinitions

          public static PatternParsingResults parsePatternDefinitions​(java.lang.String patternString,
                                                                      com.google.inject.Injector injector)

      Deprecated.
      Parses a set of patterns; the returned object can be used either to access the parsed patterns or query specifications as well; parse errors are also available.
      Since:
        1.7

    - #### parseQueryDefinitions

          public static java.lang.Iterable<IQuerySpecification<?>> parseQueryDefinitions​(java.lang.String patternString)

      Deprecated.
      Returns:
        A list of parsed query specifications; the contents of the list is undefined if the source file cannot be parsed completely
      Since:
        1.7

    - #### parseQueryDefinitions

          public static java.lang.Iterable<IQuerySpecification<?>> parseQueryDefinitions​(java.lang.String patternString,
                                                                                         com.google.inject.Injector injector)

      Deprecated.
      Returns:
        A list of parsed query specifications; the contents of the list is undefined if the source file cannot be parsed completely
      Since:
        1.7